#include <stdlib.h>
#include <stdio.h>

#include <SDL.h>

const int DISPLAY_WIDTH = 640;
const int DISPLAY_HEIGHT = 480; 

int main(int argc, char *argv[])
{
        if(SDL_Init(SDL_INIT_VIDEO)) {
                fprintf(stderr, "Could not initialize SDL - %s\n", SDL_GetError());
                exit(EXIT_FAILURE);
        }
        atexit(SDL_Quit);

        SDL_Window *window;
        SDL_Surface *surface;

        window = SDL_CreateWindow("SDL Tester",
                                  SDL_WINDOWPOS_UNDEFINED,
                                  SDL_WINDOWPOS_UNDEFINED,
                                  DISPLAY_WIDTH,
                                  DISPLAY_HEIGHT,
                                  SDL_WINDOW_SHOWN |
                                  SDL_WINDOW_BORDERLESS);
        if(!window) {
                fprintf(stderr, "displayer: Window could not be created! "
                        "SDL_Error: %s\n", SDL_GetError() );
                exit(EXIT_FAILURE);
        } 

        surface = SDL_GetWindowSurface(window);
        if(!surface) {
                fprintf(stderr, "displayer: Could not get window surface! "
                        "SDL_Error: %s\n", SDL_GetError() );
                exit(EXIT_FAILURE);
        } 

        SDL_FillRect(surface, NULL,
                     SDL_MapRGB(surface->format,
                                0xFF, 0xFF, 0xFF));
        SDL_UpdateWindowSurface(window); 

        SDL_Delay(2000);

        return 0;
}
